extern unsigned char ram[];
extern unsigned char io[];

#define flagS (1<<7)
#define flagZ (1<<6)
#define flagA (1<<4)  // Half Carry
#define flagP (1<<2)
#define flagC 1

extern unsigned char regA, regB, regC, regD, regE, regH, regL;
extern unsigned char regF;
extern unsigned short regSP, regPC;
extern unsigned char intr_flag;

#define regBC ((regB << 8) + regC)
#define regDE ((regD << 8) + regE)
#define regHL ((regH << 8) + regL)

unsigned char fetch(void);
void exec(unsigned char opcode);
